Tcl_CreateInterp(3)

NAME
Tcl_CreateInterp, Tcl_DeleteInterp - create and delete Tcl command interpreters

SYNOPSIS
#include <tcl.h>

Tcl_Interp *
Tcl_CreateInterp()

Tcl_DeleteInterp(interp)

ARGUMENTS
Token for interpreter to be destroyed.

DESCRIPTION

Tcl_CreateInterp creates a new interpreter structure and returns a token for it. The token is required in calls to most other Tcl procedures, such as Tcl_CreateCommand, Tcl_Eval, and Tcl_DeleteInterp. Clients are only allowed to access a few of the fields of Tcl_Interp structures; see the Tcl_Interp and Tcl_CreateCommand man pages for details. The new interpreter is initialized with no defined variables and only the built-in Tcl commands. To bind in additional commands, call Tcl_CreateCommand.

Tcl_DeleteInterp destroys a command interpreter and releases all of the resources associated with it, including variables, procedures, and application-specific command bindings. After Tcl_DeleteInterp returns the caller should never again use the interp token.

KEYWORDS
command, create, delete, interpreter